Database, Ubuntu Server, Programming

Like Us

Tags

Archive

Friday, September 23, 2016

PHPMyadmin Error Log: The configuration file now needs a secret passphrase (blowfish_secret) [SOLVED]


Pernah mengalami pesan error phpmyadmin yang berisi: "The configuration file now needs a secret passphrase (blowfish_secret)." seperti pada tampilan di bawah:


jika begitu, solusinya adalah, buka file config.inc.php dengan menjalankan perintah:

 sudo vim /etc/phpmyadmin/config.inc.php

lalu tambahkan konfigurasi:

 $cfg['blowfish_secret'] = 'somestring_or_whatever';

simpan, lalu coba silakan login ke dalam aplikasi phpmyadmin lagi, maka pesan error tersebut sudah tidak muncul lagi dan masalah pada phpmyadmin terselesaikan. Sebagai tambahan informasi, saya menggunakan database MySQL 5.7, web server Apache 2 dengan sistem operasi Ubuntu Desktop 16.04 LTS dan phpmyadmin 4.5.4 dengan PHP 7. Terima kasih telah berkunjung. :-)

No comments: